Bug 171317 - [PATCH] games/BillardGL: Makefile changed, OptionsNG, take maintainership
Summary: [PATCH] games/BillardGL: Makefile changed, OptionsNG, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-04 11:00 UTC by nemysis
Modified: 2012-09-10 21:50 UTC (History)
1 user (show)

See Also:


Attachments
BillardGL-1.75_8.patch (9.10 KB, patch)
2012-09-04 11:00 UTC, nemysis
no flags Details | Diff
BillardGL.diff (9.01 KB, patch)
2012-09-10 02:37 UTC, nemysis
no flags Details | Diff
BillardGL.diff (9.01 KB, patch)
2012-09-10 21:28 UTC, nemysis
no flags Details | Diff
BillardGL.shar (4.16 KB, application/x-shar)
2012-09-10 21:28 UTC, nemysis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-09-04 11:00:23 UTC
Makefile changed:

Added or changed

- COMMENT=	OpenGL pool billiard simulation
- LICENSE=	GPLv2
- USE_DOS2UNIX=	yes
- PLIST_FILES=
- PORTDATA=	*
- PORTDOCS=	README
- Install additional Language
- Pixmaps
- OptionsNG


- Take maintainership

Removed file(s):
- files/patch-Namen.h
- pkg-plist

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Steve Wills freebsd_committer 2012-09-09 03:29:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-09-10 21:48:27 UTC
Author: swills
Date: Mon Sep 10 20:48:10 2012
New Revision: 304065
URL: http://svn.freebsd.org/changeset/ports/304065

Log:
  - Improve COMMENT
  - Set LICENSE
  - Use DOS2UNIX where appropriate
  - Use PLIST_FILES instead of pkg-plist due to short plist
  - Convert OptionsNG
  - Give maintainership to submitter
  
  PR:		ports/171317
  Submitted by:	nemysis <nemysis@gmx.ch>

Deleted:
  head/games/BillardGL/files/patch-Namen.h
Modified:
  head/games/BillardGL/Makefile   (contents, props changed)
  head/games/BillardGL/distinfo   (contents, props changed)
  head/games/BillardGL/files/patch-Makefile   (contents, props changed)
  head/games/BillardGL/pkg-plist   (contents, props changed)

Modified: head/games/BillardGL/Makefile
==============================================================================
--- head/games/BillardGL/Makefile	Mon Sep 10 20:25:15 2012	(r304064)
+++ head/games/BillardGL/Makefile	Mon Sep 10 20:48:10 2012	(r304065)
@@ -5,40 +5,72 @@
 # $FreeBSD$
 #
 
-PORTNAME=		BillardGL
-PORTVERSION=		1.75
-PORTREVISION=		7
-CATEGORIES=		games
-MASTER_SITES=		SF/${PORTNAME:L}/${PORTNAME:L}/${PORTNAME}%20${PORTVERSION}
+PORTNAME=	BillardGL
+PORTVERSION=	1.75
+PORTREVISION=	8
+CATEGORIES=	games
+MASTER_SITES=	SF/${PORTNAME:L}/${PORTNAME:L}/${PORTNAME}%20${PORTVERSION}/ \
+		SF/nemysisfreebsdp/:icons
+DISTFILES=	${PORTNAME}-${DISTVERSION}${EXTRACT_SUFX} \
+		${PORTNAME}-LP-010.zip \
+		${PORTNAME}_icons.tar.gz:icons
+DIST_SUBDIR=	${PORTNAME:L}
 
-MAINTAINER=	ports@FreeBSD.org
-COMMENT=	OpenGL billiards simulator
+MAINTAINER=	nemysis@gmx.ch
+COMMENT=	OpenGL pool billiard simulation
+
+LICENSE=	GPLv2
+
+EXTRACT_DEPENDS=	unzip:${PORTSDIR}/archivers/unzip
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}/src
 
+USE_DOS2UNIX=	Makefile
 USE_GMAKE=	yes
 USE_XORG=	xmu xext x11 xi
-USE_GL=		gl glut
+USE_GL=		glut
+
+PLIST_FILES=	bin/${PORTNAME} \
+		share/pixmaps/${PORTNAME}_48.png \
+		share/pixmaps/${PORTNAME}_64.png \
+		share/pixmaps/${PORTNAME}_72.png \
+		share/pixmaps/${PORTNAME}_96.png
+
+PORTDATA=	*
+PORTDOCS=	README
+
+OPTIONS_DEFINE=	LANG
+LANG_DESC=	Install additional Language
+OPTIONS_DEFAULT=	LANG
+
+.include <bsd.port.options.mk>
 
 post-patch:
-	@${REINPLACE_CMD} -e 's|%%PORTNAME%%|${PORTNAME}|; \
-			      s|%%LOCALBASE%%|${LOCALBASE}|' ${WRKSRC}/Namen.h
+# Fix data location
+	@${REINPLACE_CMD} -e 's|/usr/share/BillardGL/|${DATADIR}/|' ${WRKSRC}/Namen.h
 
 do-install:
+# Executable
 	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
 
-	@${MKDIR} ${DATADIR}
-	@${MKDIR} ${DATADIR}/lang
-	${INSTALL_DATA} ${WRKSRC}/lang/*.lang ${DATADIR}/lang
-	@${MKDIR} ${DATADIR}/Texturen
-.for i in 1 2 4 8
-	@${MKDIR} ${DATADIR}/Texturen/${i}
-	${INSTALL_DATA} ${WRKSRC}/Texturen/${i}/*.bmp ${DATADIR}/Texturen/${i}
+# Data
+#	${MKDIR} ${DATADIR}
+.for d in Texturen lang
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} ${d} ${DATADIR})
 .endfor
 
-.ifndef (NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}
-	${TR} -d '\r' <${WRKSRC}/README >${DOCSDIR}/README
+# Pixmaps
+	${INSTALL_DATA} ${WRKDIR}/${PORTNAME}*.png ${PREFIX}/share/pixmaps
+
+# Documentation
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
+.endif
+
+# Additional Language
+.if ${PORT_OPTIONS:MLANG}
+	${INSTALL_DATA} ${WRKDIR}/${PORTNAME}-LP-010/*.lang ${DATADIR}/lang/
 .endif
 
 .include <bsd.port.mk>

Modified: head/games/BillardGL/distinfo
==============================================================================
--- head/games/BillardGL/distinfo	Mon Sep 10 20:25:15 2012	(r304064)
+++ head/games/BillardGL/distinfo	Mon Sep 10 20:48:10 2012	(r304065)
@@ -1,2 +1,6 @@
-SHA256 (BillardGL-1.75.tar.gz) = 9b865b1254aa30125480ec7ea2ce00d91524db066a524b78492545782856df96
-SIZE (BillardGL-1.75.tar.gz) = 736295
+SHA256 (billardgl/BillardGL-1.75.tar.gz) = 9b865b1254aa30125480ec7ea2ce00d91524db066a524b78492545782856df96
+SIZE (billardgl/BillardGL-1.75.tar.gz) = 736295
+SHA256 (billardgl/BillardGL-LP-010.zip) = a1325a0ed9b0dc3e2cbf8acebe4f7c4caf4183547b777b7543ad61e1e6e07cf6
+SIZE (billardgl/BillardGL-LP-010.zip) = 232940
+SHA256 (billardgl/BillardGL_icons.tar.gz) = f4d5812c32f57f81e610962b68941d79ff4469f25ed21bc0ff5a50b1c3c5b446
+SIZE (billardgl/BillardGL_icons.tar.gz) = 25088

Modified: head/games/BillardGL/files/patch-Makefile
==============================================================================
--- head/games/BillardGL/files/patch-Makefile	Mon Sep 10 20:25:15 2012	(r304064)
+++ head/games/BillardGL/files/patch-Makefile	Mon Sep 10 20:48:10 2012	(r304065)
@@ -1,24 +1,24 @@
 --- Makefile.orig	Sat Jan  3 16:30:14 2004
 +++ Makefile	Sat Jan  3 16:32:08 2004
 @@ -5,14 +5,14 @@
- 
- ####### Compiler, tools and options
- 
--CC	=	gcc
--CXX	=	g++
--CFLAGS	=	-pipe -Wall -W -DNO_DEBUG -g
--CXXFLAGS=	-pipe -Wall -W -DNO_DEBUG -g 
--INCPATH	=	-I/usr/X11R6/include 
--LINK	=	g++
-+CC	?=	gcc
-+CXX	?=	g++
-+CFLAGS	+=	-pipe -Wall -W -DNO_DEBUG -g
-+CXXFLAGS+=	-pipe -Wall -W -DNO_DEBUG -g 
-+INCPATH	=	-I${LOCALBASE}/include 
+ 
+ ####### Compiler, tools and options
+ 
+-CC	=	gcc
+-CXX	=	g++
+-CFLAGS	=	-pipe -Wall -W -DNO_DEBUG -g
+-CXXFLAGS=	-pipe -Wall -W -DNO_DEBUG -g 
+-INCPATH	=	-I/usr/X11R6/include 
+-LINK	=	g++
++CC	?=	gcc
++CXX	?=	g++
++CFLAGS	?=	-pipe -Wall -W -DNO_DEBUG
++CXXFLAGS?=	-pipe -Wall -W -DNO_DEBUG
++INCPATH	=	-I${LOCALBASE}/include 
 +LINK	= 	${CXX}
- LFLAGS	=	
--LIBS	=	-L/usr/X11R6/lib -lGL -lGLU -lglut -lXmu -lXext -lX11 -lm -lXi
-+LIBS	=	-L${LOCALBASE}/lib -lGL -lGLU -lglut -lXmu -lXext -lX11 -lm -lXi
- 
- ## -lqgl -lGLU
- 
+ LFLAGS	=	
+-LIBS	=	-L/usr/X11R6/lib -lGL -lGLU -lglut -lXmu -lXext -lX11 -lm -lXi
++LIBS	=	-L${LOCALBASE}/lib -lGL -lGLU -lglut -lXmu -lXext -lX11 -lm -lXi
+ 
+ ## -lqgl -lGLU
+ 

Modified: head/games/BillardGL/pkg-plist
==============================================================================
--- head/games/BillardGL/pkg-plist	Mon Sep 10 20:25:15 2012	(r304064)
+++ head/games/BillardGL/pkg-plist	Mon Sep 10 20:48:10 2012	(r304065)
@@ -1,109 +0,0 @@
-bin/BillardGL
-%%PORTDOCS%%%%DOCSDIR%%/README
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
-%%DATADIR%%/lang/900.lang
-%%DATADIR%%/lang/901.lang
-%%DATADIR%%/lang/904.lang
-%%DATADIR%%/lang/999.lang
-@dirrm %%DATADIR%%/lang
-%%DATADIR%%/Texturen/1/1.bmp
-%%DATADIR%%/Texturen/1/10.bmp
-%%DATADIR%%/Texturen/1/11.bmp
-%%DATADIR%%/Texturen/1/12.bmp
-%%DATADIR%%/Texturen/1/13.bmp
-%%DATADIR%%/Texturen/1/14.bmp
-%%DATADIR%%/Texturen/1/15.bmp
-%%DATADIR%%/Texturen/1/2.bmp
-%%DATADIR%%/Texturen/1/3.bmp
-%%DATADIR%%/Texturen/1/4.bmp
-%%DATADIR%%/Texturen/1/5.bmp
-%%DATADIR%%/Texturen/1/6.bmp
-%%DATADIR%%/Texturen/1/7.bmp
-%%DATADIR%%/Texturen/1/8.bmp
-%%DATADIR%%/Texturen/1/9.bmp
-%%DATADIR%%/Texturen/1/a00.bmp
-%%DATADIR%%/Texturen/1/a1.bmp
-%%DATADIR%%/Texturen/1/a10.bmp
-%%DATADIR%%/Texturen/1/a11.bmp
-%%DATADIR%%/Texturen/1/a12.bmp
-%%DATADIR%%/Texturen/1/a13.bmp
-%%DATADIR%%/Texturen/1/a14.bmp
-%%DATADIR%%/Texturen/1/a15.bmp
-%%DATADIR%%/Texturen/1/a2.bmp
-%%DATADIR%%/Texturen/1/a3.bmp
-%%DATADIR%%/Texturen/1/a4.bmp
-%%DATADIR%%/Texturen/1/a5.bmp
-%%DATADIR%%/Texturen/1/a6.bmp
-%%DATADIR%%/Texturen/1/a7.bmp
-%%DATADIR%%/Texturen/1/a8.bmp
-%%DATADIR%%/Texturen/1/a9.bmp
-%%DATADIR%%/Texturen/1/aalpha.bmp
-%%DATADIR%%/Texturen/1/aalpha2.bmp
-%%DATADIR%%/Texturen/1/buchstaben.bmp
-%%DATADIR%%/Texturen/1/buchstabenalpha.bmp
-%%DATADIR%%/Texturen/1/dreizehn.bmp
-%%DATADIR%%/Texturen/1/filzkachel.bmp
-%%DATADIR%%/Texturen/1/halbe.bmp
-%%DATADIR%%/Texturen/1/holz.bmp
-%%DATADIR%%/Texturen/1/logo.bmp
-%%DATADIR%%/Texturen/1/volle.bmp
-@dirrm %%DATADIR%%/Texturen/1
-%%DATADIR%%/Texturen/2/1.bmp
-%%DATADIR%%/Texturen/2/10.bmp
-%%DATADIR%%/Texturen/2/11.bmp
-%%DATADIR%%/Texturen/2/12.bmp
-%%DATADIR%%/Texturen/2/13.bmp
-%%DATADIR%%/Texturen/2/14.bmp
-%%DATADIR%%/Texturen/2/15.bmp
-%%DATADIR%%/Texturen/2/2.bmp
-%%DATADIR%%/Texturen/2/3.bmp
-%%DATADIR%%/Texturen/2/4.bmp
-%%DATADIR%%/Texturen/2/5.bmp
-%%DATADIR%%/Texturen/2/6.bmp
-%%DATADIR%%/Texturen/2/7.bmp
-%%DATADIR%%/Texturen/2/8.bmp
-%%DATADIR%%/Texturen/2/9.bmp
-%%DATADIR%%/Texturen/2/aalpha2.bmp
-%%DATADIR%%/Texturen/2/buchstaben.bmp
-%%DATADIR%%/Texturen/2/buchstabenalpha.bmp
-%%DATADIR%%/Texturen/2/filzkachel.bmp
-%%DATADIR%%/Texturen/2/halbe.bmp
-%%DATADIR%%/Texturen/2/holz.bmp
-%%DATADIR%%/Texturen/2/volle.bmp
-@dirrm %%DATADIR%%/Texturen/2
-%%DATADIR%%/Texturen/4/1.bmp
-%%DATADIR%%/Texturen/4/10.bmp
-%%DATADIR%%/Texturen/4/11.bmp
-%%DATADIR%%/Texturen/4/12.bmp
-%%DATADIR%%/Texturen/4/13.bmp
-%%DATADIR%%/Texturen/4/14.bmp
-%%DATADIR%%/Texturen/4/15.bmp
-%%DATADIR%%/Texturen/4/2.bmp
-%%DATADIR%%/Texturen/4/3.bmp
-%%DATADIR%%/Texturen/4/4.bmp
-%%DATADIR%%/Texturen/4/5.bmp
-%%DATADIR%%/Texturen/4/6.bmp
-%%DATADIR%%/Texturen/4/7.bmp
-%%DATADIR%%/Texturen/4/8.bmp
-%%DATADIR%%/Texturen/4/9.bmp
-%%DATADIR%%/Texturen/4/holz.bmp
-@dirrm %%DATADIR%%/Texturen/4
-%%DATADIR%%/Texturen/8/1.bmp
-%%DATADIR%%/Texturen/8/10.bmp
-%%DATADIR%%/Texturen/8/11.bmp
-%%DATADIR%%/Texturen/8/12.bmp
-%%DATADIR%%/Texturen/8/13.bmp
-%%DATADIR%%/Texturen/8/14.bmp
-%%DATADIR%%/Texturen/8/15.bmp
-%%DATADIR%%/Texturen/8/2.bmp
-%%DATADIR%%/Texturen/8/3.bmp
-%%DATADIR%%/Texturen/8/4.bmp
-%%DATADIR%%/Texturen/8/5.bmp
-%%DATADIR%%/Texturen/8/6.bmp
-%%DATADIR%%/Texturen/8/7.bmp
-%%DATADIR%%/Texturen/8/8.bmp
-%%DATADIR%%/Texturen/8/9.bmp
-%%DATADIR%%/Texturen/8/holz.bmp
-@dirrm %%DATADIR%%/Texturen/8
-@dirrm %%DATADIR%%/Texturen
-@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Steve Wills freebsd_committer 2012-09-10 21:48:33 UTC
State Changed
From-To: open->closed

Committed. Thanks!